import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 初始化项目名称
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_传递后_项目名称_查询数据',
      param: '考核状态=5'
    }
  })
}
// 查询机床号
export function searchMachine(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_传递后_机床名称_查询数据',
      param: '项目流水号=' + num + '&是否传递=2&考核状态=5&工艺任务分配状态=2&定额任务分配状态=2&单件是否外协=2'
    }
  })
}
// 查询组号
export function searchGroup(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_传递后_组件名称_查询数据',
      param: '机床流水号=' + num + '&是否传递=2&考核状态=5&工艺任务分配状态=2&定额任务分配状态=2&单件是否外协=2'
    }
  })
}
// 查询表1
export function searchTable1(PageCurrent, PageSize, check1, num1, check2, num2, check3, num3, check4, num4) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_已编制工序的全部零件及工序_New',
      param: '项目流水号_check=' + check1 + '&项目流水号=' + num1 + '&机床流水号_check=' + check2 + '&机床流水号=' + num2 + '&组件流水号_check=' + check3 + '&组件流水号=' + num3 + '&零件图号_check=' + check4 + '&零件图号=' + num4 + '&是否查询全部数据=1&单件是否外协=2&考核状态=5',
      Pagination: PageCurrent + '&' + PageSize
    }
  })
}
// 判断上班状态
export function judgeWork(date) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_基础表_工作日历_获得状态',
      param: '工作日期=' + date
    }
  })
}
// 修改机加工开始结束时间
export function makePartPlan(num, start, end) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_机加工时间_修改数据',
      param: '工艺计划流水号=' + num + '&机加工开始时间=' + start + '&机加工结束时间=' + end
    }
  })
}
// 制定零件计划 计算工序时间(猜测:机加工开始时间和计划开始时间应该是同一个)
export function computeProcedureTime(num, start, end) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工序_修改数据_计算工序计划时间',
      param: '工艺计划流水号=' + num + '&计划开始时间=' + start + '&计划结束时间=' + end
    }
  })
}
// 板焊结束
export function boardWeldEnd(num, time) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_修改数据_修改板焊工段计划完成时间',
      param: '工艺计划流水号=' + num + '&板焊工段计划完成时间=' + time
    }
  })
}
// 取消外协
export function cancelOut(num, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_划为外协',
      param: '工艺计划流水号=' + num + '&单件是否外协=1&单件是否外协分类=' + num1
    }
  })
}
// 查询工序能力
export function searchProcessAbility(start, end, PageCurrent, PageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_计划平衡表_各个工序总加工能力_查询数据_新',
      param: '查询开始日期=' + start + '&查询结束日期=' + end + '&单件是否外协=2',
      Pagination: PageCurrent + '&' + PageSize
    }
  })
}
// 查询工序工时
export function searchProcedureTime(time, num1, PageCurrent, PageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_工序工时',
      param: '计划日期_check=1&计划日期=' + time + '&工艺编号_check=1&工艺编号=' + num1 + '&组件流水号_check=0&组件流水号=0&单件是否外协=2',
      Pagination: PageCurrent + '&' + PageSize
      // check1, time, check2, num1, check3, num2
      // param: '计划日期_check=' + check1 + '&计划日期=' + time + '&工艺编号_check=' + check2 + '&工艺编号=' + num1 + '&组件流水号_check=' + check3 + '&组件流水号=' + num2 + '&单件是否外协=2'
    }
  })
}
// 调整单件进度(↑)
export function adjustSingleProgress(num, start, end) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_机加工时间_修改数据',
      param: '工艺计划流水号=' + num + '&机加工开始时间=' + start + '&机加工结束时间=' + end
    }
  })
}
// 确定零件进度（↑）
export function confirmPartProgress(num, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_划为外协',
      param: '工艺计划流水号=' + num + '&单件是否外协=1&单件是否外协分类=' + num1
    }
  })
}
// 确定零件计划
export function confirmPartPlan(num, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_划为外协_系数',
      param: '工艺计划流水号=' + num + '&单件是否外协=2&单件是否外协分类=' + num1
    }
  })
}
// 查询表1（零件图号等）
export function searchTable11(PageCurrent, PageSize, check1, num1, check2, num2, check3, num3, check4, num4) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_已编制工序的全部零件及工序_Newdistinct',
      param: '项目流水号_check=' + check1 + '&项目流水号=' + num1 + '&机床流水号_check=' + check2 + '&机床流水号=' + num2 + '&组件流水号_check=' + check3 + '&组件流水号=' + num3 + '&零件图号_check=' + check4 + '&零件图号=' + num4 + '&是否查询全部数据=1&单件是否外协=2&考核状态=5',
      Pagination: PageCurrent + '&' + PageSize
    }
  })
}
// 查询表1（30列）
export function searchTable12(num4) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_已编制工序的全部零件及工序_NewNew',
      param: '零件图号=' + num4
    }
  })
}
// 点击表格外协更改状态
export function table1Out(num1, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_外协平衡',
      param: '工艺计划流水号=' + num1 + '&是否预计外协=1&是否预计外协分类=' + num3
    }
  })
}
// 修改零件着急状态
export function zhaoji(num, a) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_修改数据_修改零件着急状态',
      param: '工艺计划流水号=' + num + '&零件类型=' + a
    }
  })
}
// 修改加工件合格时间
export function machiningQualified(num, a) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_修改数据_修改加工件合格时间',
      param: '工艺计划流水号=' + num + '&加工件合格时间=' + a
    }
  })
}

